Skip to main content
`Ctrl`+`K`

# NEPSLPGetEPS

Retrieve the linear eigensolver object (`EPS`) associated to the nonlinear eigenvalue solver.

## Synopsis

    #include "slepcnep.h"
    PetscErrorCode NEPSLPGetEPS(NEP nep,EPS *eps)

Collective

## Input Parameter

- nep - the nonlinear eigensolver context

## Output Parameter

- eps - the linear eigensolver context

## See Also

NEP: Nonlinear Eigenvalue Problems, `NEPSLP`, `NEPSLPSetEPS()`

## Level

advanced

## Location

src/nep/impls/slp/slp.c

## Implementations

NEPSLPGetEPS_SLP() in src/nep/impls/slp/slp.c

Index of all NEP routines Table of Contents for all manual pages Index of all manual pages